<?php
! defined( 'ABSPATH' ) && exit();

return [
	'container'   => [
		'colors'  => [ 'background' => '#ffffff', 'border' => '', 'color' => '' ],
		'border'  => [ 'width' => '1px', 'style' => 'solid', 'radius' => '4px' ],
		'padding' => [ 'top' => '', 'right' => '', 'bottom' => '', 'left' => '' ],
	],
	'toolbar'     => [
		'colors'  => [ 'background' => '#ffffff', 'border' => '#dddddd' ],
		'border'  => [ 'width' => '1px', 'style' => 'solid', 'radius' => '4px' ],
		'padding' => [ 'top' => '0.5em', 'right' => '0.5em', 'bottom' => '0.5em', 'left' => '0.5em' ],
		'shadows' => [ 'box' => '0 2px 2px rgba(0, 0, 0, 0.05)' ],
	],
	'menu'        => [
		'text'    => [
			'align'      => 'inherit',
			'transform'  => 'inherit',
			'fontSize'   => 'inherit',
			'lineHeight' => 'inherit',
			'fontFamily' => 'inherit',
			'fontWeight' => 'inherit',
		],
		'padding' => [ 'top' => '', 'right' => '', 'bottom' => '', 'left' => '', ],
		'colors'  => [
			'background'       => '',
			'color'            => '',
			'border'           => '',
			'backgroundHover'  => '',
			'colorHover'       => '',
			'colorActive'      => '',
			'backgroundActive' => '',
			'borderActive'     => '',
		],
	],
	'message'     => [
		'colors'  => [
			'background'      => '#ecf0f1',
			'color'           => '#333333',
			'border'          => '#ecf0f1',
			'backgroundError' => '#c0392b',
			'colorError'      => '#ffffff',
			'borderError'     => '#c0392b',
		],
		'border'  => [ 'width' => '0', 'style' => 'solid', 'radius' => '4px' ],
		'padding' => [ 'top' => '1em', 'right' => '1em', 'bottom' => '1em', 'left' => '1em' ],
		'text'    => [
			'fontFamily' => 'inherit',
			'fontWeight' => 'inherit',
			'fontSize'   => 'inherit',
			'lineHeight' => 'inherit',
			'align'      => 'inherit',
			'transform'  => 'inherit',
		],
		'shadows' => [
			'box' => '0 2px 2px rgba(0, 0, 0, 0.05)',
		],
	],
	'button'      => [
		'colors'  => [
			'background'             => '',
			'color'                  => '',
			'border'                 => '',
			'backgroundHover'        => '',
			'colorHover'             => '',
			'borderHover'            => '',
			'backgroundPrimary'      => '',
			'colorPrimary'           => '',
			'borderPrimary'          => '',
			'backgroundPrimaryHover' => '',
			'colorPrimaryHover'      => '',
			'borderPrimaryHover'     => '',
		],
		'text'    => [
			'fontFamily' => 'inherit',
			'fontWeight' => 'inherit',
			'fontSize'   => 'inherit',
			'lineHeight' => '1',
			'align'      => 'center',
			'transform'  => 'inherit',
		],
		'border'  => [ 'width' => '1px', 'style' => 'solid', 'radius' => '4px' ],
		'padding' => [ 'top' => '1em', 'right' => '1em', 'left' => '1em', 'bottom' => '1em' ],
		'shadows' => [
			'box' => 'inset 0 1px 0 rgba(255, 255, 255, 0.15), 0 2px 2px rgba(0, 0, 0, 0.05)',
		],
	],
	'contentPage' => [
		'colors'  => [ 'color' => '#333333', 'background' => '#ffffff', 'border' => '#dddddd', ],
		'padding' => [ 'top' => '1em', 'right' => '1em', 'bottom' => '1em', 'left' => '1em', ],
		'border'  => [ 'width' => '1px', 'style' => 'solid', 'radius' => '4px' ],
		'text'    => [
			'fontFamily' => 'inherit',
			'fontWeight' => 'inherit',
			'fontSize'   => 'inherit',
			'lineHeight' => 'inherit',
			'align'      => 'inherit',
			'transform'  => 'inherit',
		],
		'shadows' => [
			'box' => '0 2px 2px rgba(0, 0, 0, 0.05)',
		],
	],
	'form'        => [
		'text'    => [
			'fontFamily' => 'inherit',
			'fontWeight' => 'inherit',
			'fontSize'   => 'inherit',
			'lineHeight' => 'inherit',
			'align'      => 'inherit',
			'transform'  => 'inherit',
		],
		'padding' => [ 'top' => '0', 'right' => '0', 'bottom' => '0', 'left' => '0', ],
		'colors'  => [ 'background' => 'inherit', 'color' => '#333333', ],
		'label'   => [
			'text'    => [
				'align'      => 'inherit',
				'transform'  => 'inherit',
				'fontSize'   => 'inherit',
				'lineHeight' => 'inherit',
				'fontFamily' => 'inherit',
				'fontWeight' => 'inherit',
			],
			'padding' => [ 'top' => '0', 'right' => '0', 'bottom' => '0.5em', 'left' => '0', ],
			'colors'  => [
				'color' => 'inherit',
			],
		],
		'input'   => [
			'text'    => [
				'align'      => 'inherit',
				'transform'  => 'inherit',
				'fontSize'   => 'inherit',
				'lineHeight' => 'inherit',
				'fontFamily' => 'inherit',
				'fontWeight' => 'inherit',
			],
			'border'  => [ 'width' => '1px', 'style' => 'solid', 'radius' => '4px' ],
			'padding' => [ 'top' => '0.5em', 'right' => '0.5em', 'bottom' => '0.5em', 'left' => '0.5em', ],
			'colors'  => [
				'color'            => '',
				'background'       => '#ffffff',
				'border'           => '',
				'colorHover'       => '',
				'backgroundHover'  => '#ffffff',
				'borderHover'      => '',
				'colorActive'      => '',
				'backgroundActive' => '',
				'borderActive'     => '',
			],
			'shadows' => [
				'box' => 'inset 0 3px 0 rgba(0, 0, 0, 0.05)',
			],
		],
		'file'    => [
			'text'    => [
				'align'      => 'inherit',
				'transform'  => 'inherit',
				'fontSize'   => 'inherit',
				'lineHeight' => 'inherit',
				'fontFamily' => 'inherit',
				'fontWeight' => 'inherit',
			],
			'border'  => [ 'width' => '2px', 'style' => 'dashed', 'radius' => '4px' ],
			'padding' => [ 'top' => '3em', 'right' => '3em', 'bottom' => '3em', 'left' => '3em', ],
			'colors'  => [
				'color'      => 'inherit',
				'background' => 'inherit',
				'border'     => '#bbbbbb',
			],
		],
		'error'   => [
			'text'    => [
				'align'      => 'inherit',
				'transform'  => 'inherit',
				'fontSize'   => 'inherit',
				'lineHeight' => 'inherit',
				'fontFamily' => 'inherit',
				'fontWeight' => 'inherit',
			],
			'padding' => [ 'top' => '0.5em', 'right' => '0', 'bottom' => '0', 'left' => '0', ],
			'colors'  => [
				'background' => 'transparent',
				'color'      => '#f44336',
			],
		],
	],
	'submission'  => [
		'colors'  => [ 'background' => '#ffffff', 'color' => 'inherit', 'border' => '#dddddd', ],
		'padding' => [ 'top' => '1em', 'right' => '1em', 'bottom' => '1em', 'left' => '1em', ],
		'border'  => [ 'width' => '1px', 'style' => 'solid', 'radius' => '4px' ],
		'text'    => [
			'fontFamily' => 'inherit',
			'fontWeight' => 'inherit',
			'lineHeight' => 'inherit',
			'fontSize'   => 'inherit',
			'align'      => 'inherit',
			'transform'  => 'inherit',
		],
		'shadows' => [ 'box' => '0 2px 2px rgba(0, 0, 0, 0.05)' ],
	],
];